package com.cubetiqs.sql;

import org.junit.jupiter.api.Test;

import java.util.List;

public class ConnectionTests {
    private final String MYSQL_URL = "jdbc:mysql://192.168.0.202:3306/cosmetic_leang";

    @Test
    public void connectToMySQL() {
        ConnectionFactory.ConnectionBuilder builder = ConnectionFactory.builder()
                .driver("com.mysql.cj.jdbc.Driver")
                .url(MYSQL_URL)
                .user("test")
                .password("test");

        JdbcDataFactory factory = ConnectionFactory
                .createDataFactory(builder);

        IExecuteResult<List<Object>> result = factory.queryForList(
                SqlMapParameter.create("select UMID, Status from um where UMID = :umid or UMID = :umid")
                        .addParam("umid", "12")
                        .addParam("umid", "11")
        );
        System.out.println(result.getData());

        factory.tryClose();
    }
}
